AUDIT_NAME_TO_ACTION(3)

NAME
audit_name_to_action, audit_action_to_name - Convert the action name to the numeric action value to each other

SYNOPSIS
#include <libaudit.h>

int audit_name_to_action(const char *action);

const char *audit_action_to_name(int action);

DESCRIPTION
audit_name_to_action() converts the action name ("never", "possible", "always") to the numeric action value (AUDIT_NEVER, AUDIT_POSSIBLE, AUDIT_ALWAYS). action is the action name.

audit_action_to_name() converts the numeric action value (AUDIT_NEVER, AUDIT_POSSIBLE, AUDIT_ALWAYS) to the action name ("never", "possible", "always"). action is the numeric action value

RETURN VALUE
audit_name_to_action() returns -1 if an error occurs; otherwise, the return value is the numeric action value.

audit_action_to_name() returns NULL if an error occurs; otherwise, the return value is the action name.

AUTHOR
Steve Grubb